# Interface ZooKeeperServerListener

public interface ZooKeeperServerListener
Listener for the critical resource events.

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyStopping(String threadName, int errorCode)`
This will notify the server that some critical thread has stopped.

## Method Details

### notifyStopping

void notifyStopping(String threadName, int errorCode)
This will notify the server that some critical thread has stopped. It usually takes place when fatal error occurred.

Parameters:
  `threadName` - - name of the thread
  `errorCode` - - error code